Bug 15537 - [PATCH] Add support for setting the active cell in a worksheet through usermodel
Summary: [PATCH] Add support for setting the active cell in a worksheet through usermodel
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-19 16:47 UTC by Brian Sanders
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch for Sheet (2.65 KB, patch)
2002-12-19 16:48 UTC, Brian Sanders
Details | Diff
Patch for HSSFCell (954 bytes, patch)
2002-12-19 16:49 UTC, Brian Sanders
Details | Diff
Unified diff; includes patch to TestHSSFCell (7.54 KB, patch)
2002-12-20 16:56 UTC, Brian Sanders
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Sanders 2002-12-19 16:47:18 UTC
Attached patches allow the active cell for a sheet to be set through the usermodel.
Comment 1 Brian Sanders 2002-12-19 16:48:52 UTC
Created attachment 4227 [details]
Patch for Sheet
Comment 2 Brian Sanders 2002-12-19 16:49:13 UTC
Created attachment 4228 [details]
Patch for HSSFCell
Comment 3 Avik Sengupta 2002-12-20 04:51:05 UTC
Can you please attach this as single unified diff?
also, an unit test would be nice. 
Comment 4 Brian Sanders 2002-12-20 16:56:52 UTC
Created attachment 4243 [details]
Unified diff; includes patch to TestHSSFCell
Comment 5 Avik Sengupta 2002-12-25 17:30:24 UTC
Applied, thanks. Please cross check. 

And a special thanks for the unit test!